import React from 'react';
import { storiesOf } from '@storybook/react';
import { text, boolean } from '@storybook/addon-knobs';
import { PageSidePane } from '../index';

const props = ({
  isOpenByDefault = undefined,
  isRight = undefined,
  toggleIcon = undefined,
  // onToggle = undefined,
  children = undefined,
} = {}) => ({
  isOpenByDefault: boolean('isOpenByDefault', isOpenByDefault),
  isRight: boolean('isRight', isRight),
  toggleIcon: text('toggleIcon', toggleIcon),
  // onToggle
  children: text('children', children),
});

storiesOf('Web|page')
  .add('PageSidePane', () => (
    <PageSidePane {...props()} />
  ));
